package cn.reghao.tnb.content.app.data.model.vo;

import cn.reghao.tnb.content.app.data.model.po.AudioPost;

import java.time.LocalDateTime;

/**
 * @author reghao
 * @date 2023-10-12 14:03:14
 */
public class AudioInfo {
    private String audioId;
    private String title;
    private String audioUrl;
    private int duration;
    private LocalDateTime publishAt;
    private long publishBy;
    private double currentTime;

    public AudioInfo(AudioPost audioPost, String audioUrl, double currentTime) {
        this.audioId = audioPost.getAudioId();
        this.title = audioPost.getTitle();
        this.audioUrl = audioUrl;
        this.duration = audioPost.getDuration();
        this.publishAt = audioPost.getPublishAt();
        this.publishBy = audioPost.getPublishBy();
        this.currentTime = currentTime;
    }
}
